<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.2) on Wed May 05 09:37:59 CEST 2021 -->
<title>Pilote</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2021-05-05">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Pilote";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":9,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<h2 title="Class Pilote" class="title">Class Pilote</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>Pilote</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">Pilote</span>
extends java.lang.Object</pre>
<div class="block">Décrivez votre classe Chasseur ici.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>v2 du 04 mai 2021</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Yassine</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(java.lang.String,java.lang.String,int,java.lang.String)">Pilote</a></span>&#8203;(java.lang.String&nbsp;nom,
      java.lang.String&nbsp;prenom,
      int&nbsp;age,
      java.lang.String&nbsp;race)</code></th>
<td class="colLast">
<div class="block">Créé un pilote sans chasseur atribué</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#afficher()">afficher</a></span>()</code></th>
<td class="colLast">
<div class="block">Afficher un pilote</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#estDisponible()">estDisponible</a></span>()</code></th>
<td class="colLast">
<div class="block">Verifier que le pilote n'a pas déjà un chasseur associé
 Si le pilote est disponible, alors il pourra etre associe à un chasseur</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>Chasseur</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getChasseur()">getChasseur</a></span>()</code></th>
<td class="colLast">
<div class="block">Getter : chasseur
 Retourner le chasseur associé au pilote</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="Pilote.html" title="class in &lt;Unnamed&gt;">Pilote</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getEscadrille()">getEscadrille</a></span>()</code></th>
<td class="colLast">
<div class="block">Getter : escadrille
 Retourner la liste des pilotes créés</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNom()">getNom</a></span>()</code></th>
<td class="colLast">
<div class="block">Getter : nom
 Retourner le nom du pilote</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPrenom()">getPrenom</a></span>()</code></th>
<td class="colLast">
<div class="block">Getter : prénom
 Retourner le prénom du pilote</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setChasseur()">setChasseur</a></span>()</code></th>
<td class="colLast">
<div class="block">Setter : chasseur
 Modifier le chasseur associé au pilote</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(java.lang.String,java.lang.String,int,java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Pilote</h4>
<pre>public&nbsp;Pilote&#8203;(java.lang.String&nbsp;nom,
              java.lang.String&nbsp;prenom,
              int&nbsp;age,
              java.lang.String&nbsp;race)</pre>
<div class="block">Créé un pilote sans chasseur atribué</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getEscadrille()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEscadrille</h4>
<pre class="methodSignature">public static&nbsp;java.util.ArrayList&lt;<a href="Pilote.html" title="class in &lt;Unnamed&gt;">Pilote</a>&gt;&nbsp;getEscadrille()</pre>
<div class="block">Getter : escadrille
 Retourner la liste des pilotes créés</div>
</li>
</ul>
<a id="getChasseur()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChasseur</h4>
<pre class="methodSignature">public&nbsp;Chasseur&nbsp;getChasseur()</pre>
<div class="block">Getter : chasseur
 Retourner le chasseur associé au pilote</div>
</li>
</ul>
<a id="getNom()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNom</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getNom()</pre>
<div class="block">Getter : nom
 Retourner le nom du pilote</div>
</li>
</ul>
<a id="getPrenom()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPrenom</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getPrenom()</pre>
<div class="block">Getter : prénom
 Retourner le prénom du pilote</div>
</li>
</ul>
<a id="setChasseur()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setChasseur</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setChasseur()</pre>
<div class="block">Setter : chasseur
 Modifier le chasseur associé au pilote</div>
</li>
</ul>
<a id="estDisponible()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>estDisponible</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;estDisponible()</pre>
<div class="block">Verifier que le pilote n'a pas déjà un chasseur associé
 Si le pilote est disponible, alors il pourra etre associe à un chasseur</div>
</li>
</ul>
<a id="afficher()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>afficher</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;afficher()</pre>
<div class="block">Afficher un pilote</div>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
</body>
</html>
